Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.io
Class TypeCodeValueBoxHelper

    java.lang.Object
      |
      +--org.openorb.io.TypeCodeValueBoxHelper

All Implemented Interfaces:
  BoxedValueHelper

public class TypeCodeValueBoxHelper
extends java.lang.Object
implements BoxedValueHelper

This helper class can be passed to streams to extract and insert value box types as anys.

Version:
  $Revision: 1.9 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Constructor Summary
`TypeCodeValueBoxHelper(ORB orb, TypeCode tc)`

Method Summary
`java.lang.String` | `get_id()`
`TypeCode` | `getTypeCode()`
`java.io.Serializable` | `read_value(InputStream is)`
`void` | `write_value(OutputStream output, java.io.Serializable obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeCodeValueBoxHelper

    public TypeCodeValueBoxHelper(ORB orb,
                                  TypeCode tc)
                           throws BadKind

  Throws:
    `BadKind` - The specified typecode is not a valuebox type.

Method Detail

### getTypeCode

    public TypeCode getTypeCode()

### read_value

    public java.io.Serializable read_value(InputStream is)

  Specified by:
    `read_value` in interface `BoxedValueHelper`

### write_value

    public void write_value(OutputStream output,
                            java.io.Serializable obj)

  Specified by:
    `write_value` in interface `BoxedValueHelper`

### get_id

    public java.lang.String get_id()

  Specified by:
    `get_id` in interface `BoxedValueHelper`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD